[arch-commits] Commit in iptables/trunk (PKGBUILD)

Ronald van Haren ronald at archlinux.org
Thu Oct 16 10:29:56 EDT 2008


    Date: Thursday, October 16, 2008 @ 10:29:56
  Author: ronald
Revision: 15642

upgpkg: iptables 1.4.2-1

Modified:
  iptables/trunk/PKGBUILD

----------+
 PKGBUILD |   43 +++++++++++++++++++++++--------------------
 1 file changed, 23 insertions(+), 20 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-16 14:01:28 UTC (rev 15641)
+++ PKGBUILD	2008-10-16 14:29:56 UTC (rev 15642)
@@ -1,16 +1,19 @@
 # $Id$
-# Maintainer: Thomas Baechler <thomas at archlinux.org>
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Thomas Baechler <thomas at archlinux.org>
+
 pkgname=iptables
-pkgver=1.4.0
-pkgrel=2
+pkgver=1.4.2
+pkgrel=1
 pkgdesc="A Linux kernel packet control tool"
 arch=('i686' 'x86_64')
-license=('GPL')
+license=('GPL2')
 url="http://www.netfilter.org/"
 depends=('glibc')
+options=('!libtool')
 source=(http://www.iptables.org/projects/iptables/files/iptables-$pkgver.tar.bz2 \
         iptables ip6tables empty.rules simple_firewall.rules iptables.conf.d)
-md5sums=('90cfa8a554a29b0b859a625e701af2a7'
+md5sums=('a138d1c2e74321e0e4e228a9fb301c9a'
          '89401d6f0cf1de46a455b7be6720a58b'
          '6e0e88c2ed0c3715d1409ee3258a0046'
          '14186bbafe21bb0638c0cb8e0903c829'
@@ -18,19 +21,19 @@
          'c7cf6e4455c228e50d20ce3edd75ee59')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  sed -i 's|/usr/local|/usr|' Makefile
-  sed -i 's|MANDIR:=$(PREFIX)/man|MANDIR:=$(PREFIX)/share/man|' Makefile
-  # this seems to cause more problems than help
-  # sed -i "s:/usr/src/linux:/usr/src/linux\*:" Makefile
-  make KERNEL_DIR=/usr/src/linux-$(uname -r) || return 1
-  make KERNEL_DIR=/usr/src/linux-$(uname -r) experimental || return 1
-  make PREFIX=$startdir/pkg/usr KERNEL_DIR=/usr/src/linux-$(uname -r) install || return 1
-  make PREFIX=$startdir/pkg/usr KERNEL_DIR=/usr/src/linux-$(uname -r) install-devel || return 1
-  make PREFIX=$startdir/pkg/usr KERNEL_DIR=/usr/src/linux-$(uname -r) install-experimental || return 1
-  install -D -m755 ../iptables $startdir/pkg/etc/rc.d/iptables
-  install -D -m755 ../ip6tables $startdir/pkg/etc/rc.d/ip6tables
-  install -D -m644 ../empty.rules $startdir/pkg/etc/iptables/empty.rules
-  install -D -m644 ../simple_firewall.rules $startdir/pkg/etc/iptables/simple_firewall.rules
-  install -D -m644 ../iptables.conf.d $startdir/pkg/etc/conf.d/iptables
+  cd $srcdir/$pkgname-$pkgver
+
+ ./configure --prefix=/usr --with-kernel=usr/src/linux-$(uname -r) \
+	--libexecdir=/usr/lib/iptables --sysconfdir=/etc \
+	--with-xtlibdir=/usr/lib/iptables \
+	--enable-devel --enable-libipq
+
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1 
+  
+  install -D -m755 ../iptables $pkgdir/etc/rc.d/iptables
+  install -D -m755 ../ip6tables $pkgdir/etc/rc.d/ip6tables
+  install -D -m644 ../empty.rules $pkgdir/etc/iptables/empty.rules
+  install -D -m644 ../simple_firewall.rules $pkgdir/etc/iptables/simple_firewall.rules
+  install -D -m644 ../iptables.conf.d $pkgdir/etc/conf.d/iptables
 }




More information about the arch-commits mailing list